---
title: HEAD
slug: Web/HTTP/Methods/HEAD
tags:
  - HTTP
  - Reference
  - Request method
---
<div>{{HTTPSidebar}}</div>

<p><span class="seoSummary">The <strong>HTTP <code>HEAD</code> method</strong> requests the <a href="/en-US/docs/Web/HTTP/Headers">headers</a> that would be returned if the <code>HEAD</code> request's URL was instead requested with the HTTP {{HTTPMethod("GET")}} method.</span> For example, if a URL might produce a large download, a <code>HEAD</code> request could read its {{HTTPHeader("Content-Length")}} header to check the filesize without actually downloading the file.</p>

<div class="notecard warning">
<p>A response to a <code>HEAD</code> method <em>should not</em> have a body. If it has one anyway, that body <strong>must be</strong> ignored: any {{glossary("Entity header", "entity headers")}} that might describe the erroneous body are instead assumed to describe the response which a similar <code>GET</code> request would have received.</p>
</div>

<p>If the response to a <code>HEAD</code> request shows that a cached URL response is now outdated, the cached copy is invalidated even if no <code>GET</code> request was made.</p>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Request has body</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">Successful response has body</th>
   <td>No</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Safe")}}</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Idempotent")}}</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Cacheable")}}</th>
   <td>Yes</td>
  </tr>
  <tr>
   <th scope="row">Allowed in <a href="/en-US/docs/Web/Guide/HTML/Forms">HTML forms</a></th>
   <td>No</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">HEAD /index.html
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{RFC("7231", "HEAD", "4.3.2")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("http.methods.HEAD")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPMethod("GET")}}</li>
</ul>
